<template>
  <el-form ref="loginForm" :model="loginForm" :rules="loginRules" :inline="false" class="loginForm" @keydown.enter.native="handleSubmit">
      <div class="title-container">
          <div class="title">登录</div>
          <div class="loginForm_username">
              <el-row class="loginForm-row">
                  <el-col :span="3">
                      <img src="../../../assets/icon_user.png" style="margin:0 auto;padding-top: 9px;padding-left: 10px"></img>
                  </el-col>
                  <el-col :span="18">
                      <el-form-item prop="username">
                            <el-input
                              v-model="loginForm.username"
                              placeholder="请输入用户名(企业用户为企业名称)"
                              name="username"
                              type="text"
                              auto-complete="on"
                              style="padding-top: 1px;padding-bottom: 3px"
                            />
                      </el-form-item>
                  </el-col>
              </el-row>
          </div>
          <div style="padding-top: 20px">
              <div  class="loginForm_username">
                  <el-row class="loginForm-row">
                      <el-col :span="3">
                          <img src="../../../assets/icon_password.png" style="margin:0 auto;padding-top: 9px;padding-left: 10px"></img>
                      </el-col>
                      <el-col :span="18">
                          <el-form-item prop="password">
                                <el-input
                                  v-model="loginForm.password"
                                  :type="loginPasswordType"
                                  placeholder="请输入密码"
                                  name="password"
                                  auto-complete="on"
                                  @keyup.enter.native="handleSubmit"
                                  style="padding-top: 1px;padding-bottom: 3px"
                                />
                          </el-form-item>
                      </el-col>
                      <el-col :span="3">
<!--                          <img src="../../../assets/icon_Invisible.png" style="margin:0 auto;padding-top: 9px;padding-left: 10px" @click="showLoginPwd"></img>-->
                                <span class="show-pwd" @click="showLoginPwd" style="margin: 0 auto;padding-top: 15px;padding-left: 15px;position: absolute;">
                                  <svg-icon :icon-class="loginPasswordType == 'password' ? 'eye' : 'eye-open'" />
                                </span>
                      </el-col>
                  </el-row>
              </div>
          </div>
          <div class="loginForm_check">
              <el-checkbox style="color: #009fda" v-model="checked"></el-checkbox>
              <span style="color: #009fda" @click="lookAgreement">烟花爆竹流向管理信息和实名登记系统服务须知</span>
          </div>
          <div class="loginForm_button">
              <el-button class="loginForm_login_button" :loading="logingLoading" :disabled="submitLoading" type="primary" @click.native.prevent="handleSubmit">
                  <span class="loginForm_register_button_login">
                      登录
                  </span>
              </el-button>
          </div>
          <div style="padding-top: 20px" class="loginForm_button">
              <el-button class="loginForm_register_button" @click="handleRegister">
                  <span class="loginForm_register_button_register">注册</span>
              </el-button>
          </div>
      </div>
<!--    <el-form-item prop="username">-->
<!--      <span class="svg-container">-->
<!--        <svg-icon icon-class="user" />-->
<!--      </span>-->
<!--      <el-input-->
<!--        v-model="loginForm.username"-->
<!--        placeholder="请输入用户名"-->
<!--        name="username"-->
<!--        type="text"-->
<!--        auto-complete="on"-->
<!--      />-->
<!--    </el-form-item>-->
<!--    <el-form-item prop="password">-->
<!--      <span class="svg-container">-->
<!--        <svg-icon icon-class="password" />-->
<!--      </span>-->
<!--      <el-input-->
<!--        v-model="loginForm.password"-->
<!--        :type="loginPasswordType"-->
<!--        placeholder="请输入密码"-->
<!--        name="password"-->
<!--        auto-complete="on"-->
<!--        @keyup.enter.native="handleSubmit"-->
<!--      />-->
<!--      <span class="show-pwd" @click="showLoginPwd">-->
<!--        <svg-icon :icon-class="loginPasswordType == 'password' ? 'eye' : 'eye-open'"/>-->
<!--      </span>-->
<!--    </el-form-item>-->
  </el-form>
</template>
<script>
export default {
  name: 'LoginForm',
  props: {
    logingLoading: {
      type: Boolean,
      default: false,
    }
  },
  data() {
    return {
        checked:true,
      loginForm: {
        username: '',
        password: ''
      },
      loginRules: {
        username: [{ required: true, trigger: 'blur', message: '用户名不能为空' }],
        password: [{ required: true, trigger: 'blur', message: '登录密码不能为空' }]
      },
      loginPasswordType: 'password',
      submitLoading:false
    }
  },
  computed: {

  },
  methods: {
    showLoginPwd() {
      if (this.loginPasswordType == 'password') {
        this.loginPasswordType = ''
      } else {
        this.loginPasswordType = 'password'
      }
    },
    handleSubmit() {
      this.$refs.loginForm.validate((valid) => {
        if (valid) {
          this.$emit('on-success-valid', this.loginForm)
        }
      })
    },
      handleRegister(){
          this.$router.push({path:'/agreement'})
      },
      lookAgreement(){
          this.$router.push({path:'/agreement'})
      },
    initLoginDataForm() {
      this.loginForm = {
        username: '',
        password: ''
      }
    },
    handleChangeToRegister() {
      this.initLoginDataForm()
      // this.$nextTick(() => {
      //   this.$refs['loginForm'].clearValidate()
      // })
      this.$emit('on-register-handle')
    }
  }
}
</script>

<style>
  .title-container {
      position: relative;
      }

  .title {
      width: 100%;
      height: 122px;
      font-size: 30px;
      font-family: PingFangSC-Medium, PingFang SC;
      font-weight: 500;
      color: #080D3B;
      line-height: 42px;
      margin: auto;
      padding-top: 40px;
      text-align: center;
      letter-spacing: 4px;
  }
  .loginForm_username{
      width: 364px;
      height: 44px;
      border-radius: 4px;
      border: 1px solid #A3ABC1;
      margin: auto;
  }
  .loginForm_password{
      width: 364px;
      height: 44px;
      border-radius: 4px;
      border: 1px solid #A3ABC1;
      margin-top: 20px;
      margin-left: 228px;
      padding-top: 10px;
  }
  .loginForm_check{
      width: 364px;
      height: 80px;
      padding-top: 30px;
      margin: auto;
      text-align: left;
  }
  .loginForm_button{
      width:100%;
      text-align: center;
  }
  .loginForm_login_button {
      width: 364px;
      height: 44px;
      background: #CC1420;
      border-radius: 4px;
      line-height: 44px;
      padding: 0 20px;
  }
  .loginForm_register_button_login{
      width: 32px;
      height: 22px;
      font-size: 16px;
      font-family: PingFangSC-Regular, PingFang SC;
      font-weight: 400;
      color: #FFFFFF;
      line-height: 22px;
  }
  .loginForm_register_button {
      width: 364px;
      height: 44px;
      line-height: 44px;
      padding: 0 20px;
      border-radius: 4px;
      border: 1px solid #120C3F;
  }
  .loginForm_register_button_register{
      width: 32px;
      height: 22px;
      font-size: 16px;
      font-family: PingFangSC-Regular, PingFang SC;
      font-weight: 400;
      color: #120C3F;
      line-height: 22px;
  }

  .loginForm-row{
      margin-bottom: 20px;
      display: flex;
      flex-wrap: wrap;
  }

</style>
